Bug 127007 - Proxy Problem with attrs and Cisco-AVPair
Proxy Problem with attrs and Cisco-AVPair
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: freeradius (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
http://lists.cistron.nl/pipermail/fre...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-30 11:45 EDT by Antimon
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-01 08:28:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antimon 2004-06-30 11:45:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040626 Firefox/0.9.1

Description of problem:
Radius hangs after receiving reply from remote radius containg
multiple "Cisco-AVPair" AV pairs.

The bug is fixed in latest CVS according to main developer Alan DeKok
here
http://lists.cistron.nl/pipermail/freeradius-users/2004-May/031378.html

Version-Release number of selected component (if applicable):
freeradius-0.9.3-1

How reproducible:
Always

Steps to Reproduce:
1.add "Cisco-AVpair =* ANY" to attrs file
2.proxy request to remote radius 
3.receive multiple "Cisco-AVpair" pairs in reply from remote radius
4.radius stops working
    

Actual Results:  radius should forward proxied request from remote
radius to NAS, but 

Expected Results:  radius stopped working

Additional info:

the part of the debug where radius stopped working:

...
modcall: entering group post-proxy for request 0
  attr_filter: Matched entry DEFAULT at line 104
  modcall[post-proxy]: module "attr_filter" returns updated for request 0
[hang]
Comment 1 Thomas Woerner 2004-07-06 07:47:49 EDT
Please have a look at

http://people.redhat.com/twoerner/SRPMS/3.0E/freeradius-0.9.3-1.RHEL3.1.src.rpm
http://people.redhat.com/twoerner/RPMS/3.0E/freeradius-0.9.3-1.RHEL3.1.i386.rpm
http://people.redhat.com/twoerner/RPMS/3.0E/freeradius-mysql-0.9.3-1.RHEL3.1.i386.rpm
http://people.redhat.com/twoerner/RPMS/3.0E/freeradius-postgresql-0.9.3-1.RHEL3.1.i386.rpm
http://people.redhat.com/twoerner/RPMS/3.0E/freeradius-unixODBC-0.9.3-1.RHEL3.1.i386.rpm

Please let me know if this version fixes your problem.

---------------------------------------------------------------------
Disclaimer:
This test version might fix the problem, but it is not an official
version and therefore not supported by Red Hat.
Comment 2 Antimon 2004-07-07 05:56:18 EDT
Yes,
it works for me now. 
Comment 5 Dennis Gregorovic 2004-11-24 12:55:42 EST
This fix went out in freeradius-1.0.1-1.RHEL3 in RHSA-2004:609

Note You need to log in before you can comment on or make changes to this bug.